/**
 * 
 */
package org.eclipse.emf.cdo.server.internal.db.mapping.horizontal;

import org.eclipse.emf.cdo.server.internal.db.CDODBSchema;
import org.eclipse.emf.cdo.server.internal.db.mapping.horizontal.AbstractHorizontalMappingStrategy;
import org.eclipse.emf.cdo.server.internal.db.mapping.horizontal.HorizontalNonAuditClassMapping;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.net4j.db.ddl.IDBField;
import org.eclipse.net4j.db.ddl.IDBIndex;

/**
 * @author qlefevre
 *
 */
public class HorizontalNonAuditClassMapping2 extends HorizontalNonAuditClassMapping {

    public HorizontalNonAuditClassMapping2(AbstractHorizontalMappingStrategy mappingStrategy, EClass eClass) {
        super(mappingStrategy, eClass);
        initTable();
    }

    private void initTable() {
        IDBField cdoContainerField=getTable().getField(CDODBSchema.ATTRIBUTES_CONTAINER);
        IDBField versionField=getTable().getField(CDODBSchema.ATTRIBUTES_VERSION);
        getTable().addIndex(IDBIndex.Type.NON_UNIQUE, cdoContainerField, versionField);
    }

}
