package org.eclipse.emf.cdo.server.internal.db.mapping.horizontal;

import org.eclipse.emf.cdo.server.db.mapping.IClassMapping;
import org.eclipse.emf.cdo.server.db.mapping.IListMapping;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EStructuralFeature;

/**
 * @author Christophe
 * 
 */
public class HorizontalNonAuditMappingStrategy2 extends HorizontalNonAuditMappingStrategy {
    @Override
    public boolean hasAuditSupport() {
        return false;
    }

    @Override
    public boolean hasBranchingSupport() {
        return false;
    }

    @Override
    public boolean hasDeltaSupport() {
        return true;
    }

    @Override
    public boolean shallForceZeroBasedIndex() {
        return false;// forceZeroBasedIndex;
    }

    @Override
    public IListMapping doCreateListMapping(EClass containingClass, EStructuralFeature feature) {
        return new NonAuditListTableMapping2(this, containingClass, feature);
    }

    @Override
    protected IClassMapping doCreateClassMapping(EClass eClass) {
        return new HorizontalNonAuditClassMapping2(this, eClass);
    }

    @Override
    protected void doAfterActivate() throws Exception {
        // NO-OP
    }
}
